#
# spec file for package perl-ICal-QuickAdd
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-ICal-QuickAdd
Version:        1.00
Release:        2.1
Summary:        Quickly Add Events to ICal with natural language
Source:         http://search.cpan.org/CPAN/authors/id/M/MA/MARKSTOS/ICal-QuickAdd-%{version}.tar.gz
Url:            http://search.cpan.org/dist/ICal-QuickAdd
Group:          Development/Libraries/Perl
License:        GNU General Public License version 2 or later or Artistic (GPLv2+ or Artistic)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Email::Date)
BuildRequires:  perl(DateTime::Format::Natural)
BuildRequires:  perl(DateTime::Format::ICal)
BuildRequires:  perl(Mail::Audit)
BuildRequires:  perl(Data::ICal)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(Test::LongString)
Requires:       perl(Email::Date)
Requires:       perl(DateTime::Format::Natural)
Requires:       perl(DateTime::Format::ICal)
Requires:       perl(Mail::Audit)
Requires:       perl(Data::ICal)
Requires:       perl(File::Slurp)
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
This is the guts of ICal::QuickAdd, of interest to developers. Most users
probably want the docs of iqa instead, which is a script which uses this
module.

%package -n iqa
Summary:        Quickly Add Events to ICal with natural language
Group:          Productivity/Office/Organizers
Requires:       %{name} = %{version}

%description -n iqa
Command-line tool to process short natural, SMS-style descriptions of events
and get them into the standard iCalendar format (aka "ICS" files).

%prep
%setup -q -n "ICal-QuickAdd-%{version}"

%build
%__perl ./Build.PL
./Build

%install
./Build pure_install --destdir "%{buildroot}" --installdirs vendor
%perl_process_packlist

# disabled for now, fails, but still used by other modules:
##check
##./Build test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc LICENSE Changes README
%dir %{perl_vendorlib}/ICal
%{perl_vendorlib}/ICal/QuickAdd.pm
%doc %{perl_man3dir}/ICal::QuickAdd.%{perl_man3ext}%{ext_man}

%files -n iqa
%defattr(-,root,root)
%{_bindir}/iqa
%doc %{_mandir}/man1/iqa.1*

%changelog
* Fri Dec 16 2011 pascal.bleser@opensuse.org
- initial version (1.00)
